package main;

import com.mashape.unirest.http.exceptions.UnirestException;
import elements.exceptions.ReadErrorChatException;
import elements.exceptions.ReadErrorListException;

/**
 * Created by Guillermo Serrahima on 4/1/16.
 */
public class Main {
    public static void main(String[] args) {
        try {
            Geiserbot bot = new Geiserbot(args[0]);
            System.out.println("The Bot @" + bot.getUsername() + " awakens.");

            System.out.println("Bot running.");
            bot.run();
        } catch (ArrayIndexOutOfBoundsException e) {
            usage(args);
        } catch (UnirestException e) {
            System.out.println("Unirest Error catched.");
            e.printStackTrace();
        } catch (ReadErrorChatException | ReadErrorListException e) {
            System.out.println("Read Error catched.");
            e.printStackTrace();
        }
    }

    public static void usage(String[] args) {
        System.out.println("Usage: " + "" + " TOKEN");
        System.out.println("TOKEN: The Telegram bot API token");
    }
}
